pkgsrc/x11/kdebase3/patches/patch-aa
markd 722d872e32 Update to KDE3.1.4.
Changes:
* kdialog: Fixed "--warningcontinuecancel".
* Konqueror: Don't crash when opening a directory in tab from the navigation
  panel
* KDM: Fix weak cookie generation / local root
* smb:// slave: improve error handling.
* khotkeys: allow usage of global config file for site-wide configuration.
* kwin: fix mouse grabbing problem with _NET_WM_MOVERESIZE.
* krdb: improve exported colorsheme for Adobe acroread.
* fonts kcontrol: improve configure check to handle newer fontconfig releases
  which use pkg-config.
* kwin: fix "left click into active window in background does not raise" bug
* KDM: implement parsing of display names that contain dashes.
* kicker: memory leak fixes.
* khotkeys: crash fix.
* konsole: ported grantpty to FreeBSD.
* ksmserver: support read-only home directory.
* Improve FreeBSD support in fish://.
* kdesktop: accept empty password if account has no password set.
* konqueror: ensure that we don't change the servicetype, in case the mimetype
  is ambiguous.
* konqueror: Fix handling of wildcard file selection / unselection.
* konqueror: fix crash when trying to drag the location label.
* konqueror's listview: selected items don't get unselected anymore during
  DnD operation
* thumbnail creator: fix filedescriptor leak.
* thumbnail creator: fix Postscript thumbnail rendering.
2003-09-17 23:18:55 +00:00

100 lines
2.7 KiB
Text

$NetBSD: patch-aa,v 1.9 2003/09/17 23:18:57 markd Exp $
--- configure.orig 2003-09-11 03:00:30.000000000 +1200
+++ configure
@@ -31619,63 +31619,6 @@ _ACEOF
- echo "$as_me:$LINENO: checking sizeof(size_t) == sizeof(unsigned long)" >&5
-echo $ECHO_N "checking sizeof(size_t) == sizeof(unsigned long)... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-int
-main ()
-{
-
- #if SIZEOF_SIZE_T != SIZEOF_UNSIGNED_LONG
- choke me
- #endif
-
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
- { { echo "$as_me:$LINENO: error:
- Apparently on your system our assumption sizeof(size_t) == sizeof(unsigned long)
- does not apply. Please mail kde-devel@kde.org with a description of your system!
- " >&5
-echo "$as_me: error:
- Apparently on your system our assumption sizeof(size_t) == sizeof(unsigned long)
- does not apply. Please mail kde-devel@kde.org with a description of your system!
- " >&2;}
- { (exit 1); exit 1; }; }
-
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-
-
echo "$as_me:$LINENO: checking if it's safe to enable UTMP" >&5
echo $ECHO_N "checking if it's safe to enable UTMP... $ECHO_C" >&6
@@ -33816,6 +33759,23 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
ac_cv_have_dpms="-lXdpms"
+ lib=Xdpms
+ shared_lib_found=no
+ for i in ${LDFLAGS}; do
+ case "$i" in
+ -L*)
+ dir=`echo $i | sed "s,^-L,,"`
+ if [ -e $dir/lib${lib}.so ] ||
+ [ "`echo $dir/lib${lib}.so.*`" != "$dir/lib${lib}.so.*" ]; then
+ shared_lib_found=yes
+ break;
+ fi
+ esac
+ done
+ if [ "$shared_lib_found" = "no" ]; then
+ eval "ac_cv_have_dpms=no"
+ fi
+
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
@@ -38765,6 +38725,7 @@ fi
case "$UNAME" in
Linux) LIBHOSTS="$LIBSENSORS" ;;
FreeBSD) LIBHOSTS="$LIBSENSORS -lkvm" ;;
+ NetBSD) LIBHOSTS="$LIBSENSORS -lkvm" ;;
Solaris) LIBHOSTS="$LIBSENSORS -lkstat -lsocket" ;;
esac